<?php
/**
 * 
 * Start Hub - Creative Multi Concept Responsive WordPress Theme, exclusively on Envato Market: https://themeforest.net/user/torbara/portfolio?ref=torbara
 * @encoding     UTF-8
 * @copyright    Copyright (C) 2016 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Anatoly Chebotaryoff (anatolijchebotaryov@gmail.com)
 * @support      support@torbara.com
 * 
 */

//Check compatibility
if (!defined('PHP_VERSION_ID') || PHP_VERSION_ID < 50300) {
    function starthub_admin_php_notice() { ?>
        <div class="error">
            <p>
                <b><?php echo wp_get_theme(); ?> <?php echo esc_html__('Theme error:', 'start-hub'); ?></b> 
                <?php echo esc_html__('This theme requires PHP version 5.3 or higher.', 'start-hub'); ?>
            </p>
        </div><?php
    }
    add_action('admin_notices', 'starthub_admin_php_notice');

    return;
}

//Bootstrap Warp 7 Framework
get_template_part('warp');