<?php
/**
 * Echo the structural markup for the main content. It also calls the content action hooks.
 *
 * @package Structure\Content
 */

$content_attributes = array(
	'class' => 'tm-content',
	'role' => 'main'
);

echo starthub_open_markup( 'starthub_content', 'div', $content_attributes );

	/**
	 * Fires in the main content.
	 *
	 * @since 1.0.0
	 */
	do_action( 'starthub_content' );

echo starthub_close_markup( 'starthub_content', 'div' );
