<?php
/**
 * 
 * Start Hub - Creative Multi Concept Responsive WordPress Theme, exclusively on Envato Market: https://themeforest.net/user/torbara/portfolio?ref=torbara
 * @encoding     UTF-8
 * @copyright    Copyright (C) 2016 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Anatoly Chebotaryoff (anatolijchebotaryov@gmail.com)
 * @support      support@torbara.com
 * 
 */

// Сustom posts per page for categories
function starthub_custom_posts_per_page($query){
  
    if( is_category('portfolio') && $query->get('posts_per_page') != 2 && !$query->get( 'cat' )) {//Portfolio category
        $query->set('posts_per_page', 12);
    }

}

// Limits only for Frontend
if(!is_admin()){
    add_action('pre_get_posts','starthub_custom_posts_per_page');
}