<?php
/**
 * 
 * Start Hub - Creative Multi Concept Responsive WordPress Theme, exclusively on Envato Market: https://themeforest.net/user/torbara/portfolio?ref=torbara
 * @encoding     UTF-8
 * @copyright    Copyright (C) 2016 Torbara (http://torbara.com). All rights reserved.
 * @license      Envato Standard License http://themeforest.net/licenses/standard?ref=torbara
 * @author       Anatoly Chebotaryoff (anatolijchebotaryov@gmail.com)
 * @support      support@torbara.com
 * 
 */

?>
<!DOCTYPE HTML>
<html lang="<?php echo esc_attr($this['config']->get('language')); ?>" dir="<?php echo esc_attr($this['config']->get('direction')); ?>" class="uk-height-1-1 tm-offline">
<head>
    <?php wp_head(); ?>
</head>

<body class="uk-height-1-1 tm-offline-page">
    <div class="tm-header-top">
        <div class="uk-container uk-container-center uk-text-center">
          <div class="tm-logo-wrapper">
            <a href="<?php echo esc_url($this['config']->get('site_url')); ?>" class="tm-logo" title="<?php echo esc_html__('Start Hub', 'start-hub'); ?>"><?php echo esc_html__('Start', 'start-hub'); ?> <span><?php echo esc_html__('hub', 'start-hub'); ?></span></a>
          </div>
        </div>
    </div>
    <div class="tm-grandopening uk-height-1-1 uk-flex uk-flex-center uk-flex-middle uk-container-center">        
        <div class="tm-grandopening-inner uk-block-large uk-position-relative">
          <ul id="getting-started" class="uk-subnav uk-subnav-line">
            <li>
              <div class="days counter-wrapper">603</div>
              <div class="caption"><?php echo esc_html__('Days', 'start-hub'); ?></div>
            </li>
            <li>
              <div class="hours counter-wrapper">19</div>
              <div class="caption"><?php echo esc_html__('Hours', 'start-hub'); ?></div>
            </li>
            <li>
              <div class="minutes counter-wrapper">15</div>
              <div class="caption"><?php echo esc_html__('Minutes', 'start-hub'); ?></div>
            </li>
            <li>
              <div class="seconds counter-wrapper">47</div>
              <div class="caption"><?php echo esc_html__('Seconds', 'start-hub'); ?></div>
            </li>
          </ul>
        </div>
    </div>
    
    <?php wp_footer(); ?>
</body>

</html>