<?php
/**
 * Extends WordPress Embed.
 *
 * @package Fragments\Embed
 */

// Filter.
starthub_add_smart_action( 'embed_oembed_html', 'starthub_embed_oembed' );

/**
 * Add markup to embed.
 *
 * @since 1.0.0
 *
 * @param string $html The embed HTML.
 *
 * @return string The modified embed HTML.
 */
function starthub_embed_oembed( $html ) {

	$output = starthub_open_markup( 'starthub_embed_oembed', 'div', 'class=tm-oembed' );

		$output .= $html;

	$output .= starthub_close_markup( 'starthub_embed_oembed', 'div' );

	return $output;

}