<?php
/**
 * Echo widget areas.
 *
 * @package Fragments\Widget_Area
 */

starthub_add_smart_action( 'starthub_sidebar_primary', 'starthub_widget_area_sidebar_primary' );

/**
 * Echo primary sidebar widget area.
 *
 * @since 1.0.0
 */
function starthub_widget_area_sidebar_primary() {

	echo starthub_widget_area( 'sidebar-a' );

}


starthub_add_smart_action( 'starthub_sidebar_secondary', 'starthub_widget_area_sidebar_secondary' );

/**
 * Echo secondary sidebar widget area.
 *
 * @since 1.0.0
 */
function starthub_widget_area_sidebar_secondary() {

	echo starthub_widget_area( 'sidebar_secondary' );

}


starthub_add_smart_action( 'starthub_site_after_markup', 'starthub_widget_area_offcanvas_menu' );

/**
 * Echo off-canvas widget area.
 *
 * @since 1.0.0
 */
function starthub_widget_area_offcanvas_menu() {

	if ( !current_theme_supports( 'offcanvas-menu' ) )
		return;

	echo starthub_widget_area( 'offcanvas_menu' );

}