<?php
/**
 * Echo the structural markup for each comment. It also calls the comment action hooks.
 *
 * @package Structure\Comment
 */

echo starthub_open_markup( 'starthub_comment', 'article', array(
	'id' => 'div-comment-' . get_comment_ID(), // Automatically escaped.
	'class' => 'uk-comment',
) );

	echo starthub_open_markup( 'starthub_comment_header', 'header', array( 'class' => 'uk-comment-header' ) );

		/**
		 * Fires in the comment header.
		 *
		 * @since 1.0.0
		 */
		do_action( 'starthub_comment_header' );

	echo starthub_close_markup( 'starthub_comment_header', 'header' );

	echo starthub_open_markup( 'starthub_comment_body', 'div', array( 'class' => 'uk-comment-body' ) );

		/**
		 * Fires in the comment body.
		 *
		 * @since 1.0.0
		 */
		do_action( 'starthub_comment_content' );

	echo starthub_close_markup( 'starthub_comment_body', 'div' );

echo starthub_close_markup( 'starthub_comment', 'article' );
