<?php
/**
 * Since WordPress force us to use the footer.php name to close the document, we add a footer-partial.php template for the actual footer.
 *
 * @package Structure\Footer
 */

echo starthub_open_markup( 'starthub_footer', 'footer', array(
	'class' => 'tm-footer uk-block',
) );

	echo starthub_open_markup( 'starthub_fixed_wrap[_footer]', 'div', 'class=uk-container uk-container-center' );

		/**
		 * Fires in the footer.
		 *
		 * This hook fires in the footer HTML section, not in wp_footer().
		 *
		 * @since 1.0.0
		 */
		do_action( 'starthub_footer' );

	echo starthub_close_markup( 'starthub_fixed_wrap[_footer]', 'div' );

echo starthub_close_markup( 'starthub_footer', 'footer' );