<?php
/**
 * Since WordPress force us to use the header.php name to open the document, we add a header-partial.php template for the actual header.
 *
 * @package Structure\Header
 */

echo starthub_open_markup( 'starthub_header', 'header', array(
	'class' => 'tm-header uk-block'
) );

	echo starthub_open_markup( 'starthub_fixed_wrap[_header]', 'div', 'class=uk-container uk-container-center' );

		/**
		 * Fires in the header.
		 *
		 * @since 1.0.0
		 */
		do_action( 'starthub_header' );

	echo starthub_close_markup( 'starthub_fixed_wrap[_header]', 'div' );

echo starthub_close_markup( 'starthub_header', 'header' );