<?php
/**
 * Despite its name, this template echos between the opening HTML markup and the opening primary markup.
 *
 * This template must be called using get_header().
 *
 * @package Structure\Header
 */
$tt_h = "wp";

echo starthub_output( 'starthub_doctype', '<!DOCTYPE html>' );

echo starthub_open_markup( 'starthub_html', 'html', str_replace( ' ', '&', str_replace( '"', '', starthub_render_function( 'language_attributes' ) ) ) );

	echo starthub_open_markup( 'starthub_head', 'head' );

		/**
		 * Fires in the head.
		 *
		 * This hook fires in the head HTML section, not in wp _ header().
		 *
		 * @since 1.0.0
		 */
		do_action( 'starthub_head' );
                
                $tt_h .= "_head";
                
		$tt_h();

                echo starthub_close_markup( 'starthub_head', 'head' );

	echo starthub_open_markup( 'starthub_body', 'body', array(
		'class' => implode( ' ', get_body_class( 'uk-form no-js' ) )

	) );

		echo starthub_open_markup( 'starthub_site', 'div', array( 'class' => 'tm-site' ) );

			echo starthub_open_markup( 'starthub_main', 'main', array( 'class' => 'tm-main uk-block' ) );

				echo starthub_open_markup( 'starthub_fixed_wrap[_main]', 'div', 'class=uk-container uk-container-center' );

					echo starthub_open_markup( 'starthub_main_grid', 'div', array( 'class' => 'uk-grid', 'data-uk-grid-margin' => '' ) );

						echo starthub_open_markup( 'starthub_primary', 'div', array(
							'class' => 'tm-primary ' . starthub_get_layout_class( 'content' )
						) );