<?php
/**
 * Echo the primary sidebar structural markup. It also calls the primary sidebar action hooks.
 *
 * @package Structure\Primary_Sidebar
 */

echo starthub_open_markup( 'starthub_sidebar_primary', 'aside', array(
	'class' => 'tm-secondary ' . starthub_get_layout_class( 'sidebar-a' ) // Automatically escaped.
) );

	/**
	 * Fires in the primary sidebar.
	 *
	 * @since 1.0.0
	 */
	do_action( 'starthub_sidebar_primary' );

echo starthub_close_markup( 'starthub_sidebar_primary', 'aside' );