<?php
/**
 * Echo the secondary sidebar structural markup. It also calls the secondary sidebar action hooks.
 *
 * @package Structure\Secondary_Sidebar
 */

echo starthub_open_markup( 'starthub_sidebar_secondary', 'aside', array(
	'class' => 'tm-tertiary ' . starthub_get_layout_class( 'sidebar_secondary' ) // Automatically escaped.
) );

	/**
	 * Fires in the secondary sidebar.
	 *
	 * @since 1.0.0
	 */
	do_action( 'starthub_sidebar_secondary' );

echo starthub_close_markup( 'starthub_sidebar_secondary', 'aside' );