/**
 * 
 * Torbara Text Widget, exclusively on Envato Market: http://themeforest.net/user/torbara?ref=torbara
 * @encoding     UTF-8
 * @version      1.0.1
 * @copyright    Copyright (C) 2016 Torbara (http://torbara.com). All rights reserved.
 * @license      Copyrighted Commercial Software, see http://themeforest.net/licenses/standard?ref=torbara
 * @author       Alexandr Khmelnytsky (info@alexander.khmelnitskiy.ua)
 * @support      support@torbara.com
 * 
 */

jQuery(function($) {
    "use strict";

    // Init All editors on page
    function ttw_initEditor() {
        jQuery("textarea.tt-text-widget").each(function(index) {
            var editor_id = jQuery(this).attr("id");
            if(editor_id.indexOf('__i__') == -1) { // For all, except in widget list
                UIkit.htmleditor( "#"+editor_id, { markdown : true } );
            }
        });
        window.dispatchEvent(new Event('resize'));// Fix for bug with currsot position
    }

    // Start init
    ttw_initEditor();
    
    // On widget add or save
    jQuery(document).on('widget-added widget-updated', function(e, widget){
        ttw_initEditor();
    });

});

